# $Revision: 1.1 $, $Date: 2012/01/25 22:44:45 $
%define		pkg	fast-list
Summary:	A fast linked list
Name:		nodejs-%{pkg}
Version:	1.0.2
Release:	1
License:	MIT
Group:		Development/Libraries
URL:		https://github.com/isaacs/fast-list
Source0:	http://registry.npmjs.org/fast-list/-/%{pkg}-%{version}.tgz
# Source0-md5:	a0b5d56e6d24aecf328f1d40069b532b
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A fast linked list. (good for queues, stacks, etc.)

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -pr %{pkg}.js package.json $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{nodejs_libdir}/%{pkg}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nodejs-fast-list.spec,v $
Revision 1.1  2012/01/25 22:44:45  glen
- initial node pkgs for npm deps
  based on specs from http://nodejs.tchol.org/ repo
